/*
 * Copyright 2013 Haulmont
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.haulmont.yarg.formatters.impl.docx;


import com.haulmont.yarg.formatters.impl.DocxFormatterDelegate;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RegexpCollectionFinder<T> extends AbstractRegexpFinder<T> {
    protected List<String> values = new ArrayList<String>();

    public RegexpCollectionFinder(DocxFormatterDelegate docxFormatter, Pattern regularExpression, Class<T> classToHandle) {
        super(docxFormatter, regularExpression, classToHandle);
    }

    protected void onFind(T o, Matcher matcher) {
        values.add(matcher.group(0));
    }

    public List<String> getValues() {
        return values;
    }
}
